## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# F35: Max version 2.8.0 due to old protobuf version.

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-containeranalysis
%global         forgeurl    https://github.com/googleapis/python-containeranalysis
Version:        2.9.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python SDK for Google Cloud Container Analysis API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Container Analysis API: An implementation of the Grafeas API, which stores, and
enables querying and retrieval of critical metadata about all of your software
artifacts.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%pyproject_extras_subpkg -n python3-%{srcname} libcst


%prep
%forgeautosetup -p1

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary files.
rm -f %{buildroot}%{_bindir}/fixup* samples/snippets/.gitignore


%if %{with tests}
%check
# Disable two tests that require network connectivity.
%pytest --disable-warnings tests/unit \
    -k "not test_get_grafeas_client and not test_get_grafeas_client_async"
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst SECURITY.md UPGRADING.md samples
%{python3_sitelib}/google_cloud_containeranalysis-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Wed Jul 27 2022 Major Hayden <major@redhat.com> 2.9.0-1
- Update to 2.9.0 rhbz#2108128

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Major Hayden <major@redhat.com> 2.8.1-2
- Add F35 note

* Mon Jun 13 2022 Major Hayden <major@redhat.com> 2.8.1-1
- Update to 2.8.1

* Fri May 06 2022 Major Hayden <major@mhtx.net> 2.8.0-1
- Update to 2.8.0

* Wed Mar 09 2022 Major Hayden <major@redhat.com> 2.7.3-1
- Update to 2.7.3

* Tue Mar 08 2022 Major Hayden <major@redhat.com> 2.7.2-1
- Update to 2.7.2

* Thu Feb 17 2022 Major Hayden <major@redhat.com> 2.7.1-1
- Update to 2.7.1

* Wed Feb 09 2022 Major Hayden <major@redhat.com> 2.7.0-2
- Bump revision

* Fri Jan 28 2022 Major Hayden <major@redhat.com> 2.7.0-1
- Update to 2.7.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Major Hayden <major@redhat.com> 2.6.3-1
- Update to 2.6.3

* Tue Nov 02 2021 Major Hayden <major@redhat.com> 2.6.2-1
- Update to 2.6.2

* Thu Oct 28 2021 Major Hayden <major@redhat.com> 2.6.0-2
- First package for version 2.6.0 🎉

* Thu Oct 28 2021 Major Hayden <major@redhat.com> 2.6.0-1
- Initial import (#2012987)
